nand_calculate_ecc
Prev | Chapter 10. Public Functions Provided | Next

## Name

nand_calculate_ecc — [NAND Interface] Calculate 3-byte ECC for 256-byte block

## Synopsis

`int nand_calculate_ecc (` | struct mtd_info * | mtd,
| const u_char * | dat,
| u_char * | ecc_code`)`;

## Arguments

`mtd`

  MTD block structure

`dat`

  raw data

`ecc_code`

  buffer for ECC

Prev | Up | Next
nand_default_bbt | Home | nand_correct_data